package _VisualDVM.Passes.All;
import _VisualDVM.TestingSystem.SAPFOR.SapforPackage.SapforPackage;
public class SetSapforConfigurationEthalon extends EditSapforConfiguration {
    @Override
    public String getIconPath() {
        return "/icons/Down.png";
    }
    @Override
    public String getDescription_() {
        return "Назначить пакет эталоном для конфигурации";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (getDb().CheckCurrent(Log, d, SapforPackage.class)) {
            target = getDb().getTable(d).getUI().getCurrent();
            SapforPackage sapforPackage = getDb().getTable(SapforPackage.class).getUI().getCurrent();
            target.ethalon_id = sapforPackage.id;
            return true;
        }
        return false;
    }
}
